SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001269SiT!holidayspublic2010-04-13 20:272017-07-04 10:23
Reportersancho78rus 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001269: Bad usability in calendar
DescriptionOn calendar.php.
Its not comfortable and hard to understand how to work with holidays.
In year view - only current user's holidays. And you can add a request.
In month view - all user's holidays and you cannot add a request.
Also there is no year view (may be table) to view all user's holidays (and requests) (its useful to prevent crosses).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003046)
ivan (administrator)
2010-04-13 21:04

Can you propose how you think it could be made more usable? Thanks.
(0003047)
sancho78rus (reporter)
2010-04-14 05:40

I think it should be something like triggers:

Holiday requests should be in My details menu. (With calendar - list, year, month and day view to request current user's holidays).

But holiday planer should be also in Control panel menu. Only users with proper permisions should have access to it. Here you can choose user to see its holidays (approved holidays and requests) or all user's holidays (to prevent crosses and better holiday planing).

Also there should be ability to book already taken holiday by admin (without request from user) - for example unforeseen sickness.
User avatar (0005008)
ivan (administrator)
2017-07-04 10:23

Sorry to say this is unlikely to get fixed unless somebody steps forward and offers to code it. Please reopen if you want to work on it. thanks.

- Issue History
Date Modified Username Field Change
2010-04-13 20:27 sancho78rus New Issue
2010-04-13 21:04 ivan Note Added: 0003046
2010-04-14 05:40 sancho78rus Note Added: 0003047
2017-07-04 10:23 ivan Note Added: 0005008
2017-07-04 10:23 ivan Status new => closed
2017-07-04 10:23 ivan Resolution open => won't fix


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker